Class Attributes


  • @RequiredRole("admin")
    public class Attributes
    extends APIRequestHandler
    Lists transcript or participant attributes elicited during task.

    /api/admin/elicit/attributes/{transcript|participant}/task_id

    The following operation, specified by the HTTP method, is supported:

    GET
    List the attributes elicited by the task.
    • Response Body - the standard JSON envelope, with the model as an array of objects with the same structure as returned by store/getLayer specifically:
      id
      The attribute's layer ID.
      attribute
      The attribute's name.
      description
      The layer's user-facing description.
      type
      The type of values the attribute can have.
      validLabels
      An object definition possible labels and their user-facing descriptions.
    • Response Status
      • 200 : The attributes (if any) were listed.
      • 400 : The requested path was invalid.
Author:
Robert Fromont robert@fromont.net.nz